<mat-card class="card center">
  <mat-card-content>
    <mat-card-title>Register</mat-card-title>
    <mat-card-subtitle>Account can be requested by registering. You will be notified via e-mail once your account it activated.</mat-card-subtitle>
    <div class="container">
      <mat-form-field>
        <input matInput placeholder="Enter your email" [formControl]="email" required>
        <mat-error *ngIf="email.invalid">{{getEmailErrorMessage()}}</mat-error>
      </mat-form-field>
      <mat-form-field>
        <input matInput placeholder="Enter a password" [formControl]="password" required [type]="hide ? 'password' : 'text'">
        <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
        <mat-error *ngIf="password.invalid">{{getPassErrorMessage()}}</mat-error>
      </mat-form-field>
    </div>
  </mat-card-content>
  <mat-card-actions>
    <button mat-flat-button color="primary" [disabled]="password.invalid || email.invalid" (click)="onSubmit()">Register</button>
    <button mat-flat-button color="primary" routerLink="">Back to Login</button>
  </mat-card-actions>
</mat-card>
